<?php

class PaginasController extends Controller
{
 
    public function __construct()
    {
        if (!Sessao::estaLogado()) {
            URL::redirecionar('usuarios/login');
        }
    }

    public function index()
    {
        $dados = [
            // Aqui você pode passar dados para a dashboard se quiser
        ];

        $this->view('layout', [
            'conteudo' => 'paginas/index.php', // Caminho relativo à pasta Views
            'dados'    => $dados
        ]);
    }
}
